Skip to content
GitHub

Revoke a trust policy and every token exchanged under it.

DELETE
/api/v1/ci/trust-policies/{policy}
curl --request DELETE \
--url https://example.com/api/v1/ci/trust-policies/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0
policy
required
string format: uuid

Policy id

Revoked

Media typeapplication/json

Problem Details body.

object
code
required

Stable machine-readable code, e.g. forbidden.

string
title
required

Short human readable title.

string
status
required

HTTP status.

integer format: int32
detail

Details, if safe to expose.

string | null
Example
{
"code": "forbidden"
}
Media typeapplication/json

Problem Details body.

object
code
required

Stable machine-readable code, e.g. forbidden.

string
title
required

Short human readable title.

string
status
required

HTTP status.

integer format: int32
detail

Details, if safe to expose.

string | null
Example
{
"code": "forbidden"
}